FvwmSaveDesk(1)

NAME
FvwmSaveDesk - another FVWM desktop-layout saving module

SYNOPSIS
FvwmSaveDesk is spawned by fvwm, so no command line invocation will work.

DESCRIPTION
When called, this module will attempt to save your current desktop layout as a fvwm function definition into the file .fvwmdesk in your home directory. The function is named StartupFunction. This Function can be called in Function InitFunction to startup all Programs on all Workspaces. If fvwm is compiled with the M4 option, you can include this file in .fvmrc else you have to insert this file by hand. Your applications must supply certain hints to the X window system. Emacs, for example, does not, so FvwmSaveDesk can't get any information from it.

Also, FvwmSaveDesk assumes that certain command line options are globally accepted by applications, which may not be the case.

SETUP IF FVWM IS COMPILED WITH THE M4 OPTION
Fvwm has to be called with the option

-m4opt -I$HOME.

The first line in .fvwmrc should be

undefine(`include`),

to avoid problems. You can the include the file .fvwmdesk with

sinclude(`.fvwmdesk') .

Insert the following line into the Function InitFunction

Function "I" StartupFunction

If you have GNU's m4 another possiblity is to compile fvwm with GNU_M4_OPTION_P and use

m4_include(`.fvwmdesk')m4_dnl

So you don't need to undefine `include'.

INVOCATION
FvwmSaveDesk can be invoked by inserting the line 'Module FvwmSaveDesk' in the .fvwmrc file. This should be bound to a menu or mouse button or keystroke to invoke it later. Fvwm will search directory specified in the ModulePath configuration option to attempt to locate FvwmSaveDesk.

AUTHOR
Carsten Paeth (calle@calle.in-berlin.de)

based on FvwmSave written by Robert Nation and Mr. Per Persson <pp@solace.mh.se> (Omnion on IRC)